Package uk.ac.starlink.vo.datalink

## Class LinkColMap.ColDef<C>

- java.lang.Object
- - uk.ac.starlink.vo.datalink.LinkColMap.ColDef<C>

- Enclosing class:
    LinkColMap

      public static class LinkColMap.ColDef<C>
      extends java.lang.Object

  Utility class that encapsulates the characteristics of a given column from the DataLink standard.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<C>` | `getContentClass()` | Returns the required content class for the column.
    `java.lang.String` | `getName()` | Returns the column's name.
    `java.lang.String` | `getUcd()` | Returns the column's UCD.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the column's name.
      Returns:
        name

    - #### getUcd

          public java.lang.String getUcd()

      Returns the column's UCD.
      Returns:
        ucd

    - #### getContentClass

          public java.lang.Class<C> getContentClass()

      Returns the required content class for the column.
      Returns:
        class